/**
 * 注文明細のドメインクラス.
 */
class OrderDetail implements Serializable {

    /**
     * 書籍.
     */
    static belongsTo = [ book : Book, order : Order ]

    /**
     * 数量.
     */
    int quantity
    
    static constraints = {
    	quantity(minSize:1)
    }
    
    String toString() {
    	"${book.name}×${quantity}"
    }

}
